Bug 266591 - Wikipedia search field does not accept space character or cursor keys
Summary: Wikipedia search field does not accept space character or cursor keys
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: 2.4-GIT
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-18 11:40 UTC by Wonko
Modified: 2011-11-03 22:08 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wonko 2011-02-18 11:40:45 UTC
Version:           2.4-GIT (using KDE 4.6.0) 
OS:                Linux

The mobile version of Wikipedia has a search field on top. I can type characters, except for the space and cursor keys. Space toggles play/pause instead, and the cursor keys advance the track.

Reproducible: Always

Steps to Reproduce:
1. Enable 'Use Wikipedia Mobile Version' in the Wikipedia General Settings
2. Play a track
3. Put cursor into the Search Field of the Wikipedia context view
4. Try to enter 'Two Words'

Actual Results:  
Instead of 'Two Words' I get 'TwoWords', and the track is paused. Somehow space character and cursor key events are not captured by the search field, so they are delivered to the application itself.

Expected Results:  
Entering blanks and cursor navigation should work.

OS: Linux (x86_64) release 2.6.37-ck
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Sven Krohlas 2011-05-30 13:39:23 UTC
Confirmed.

That search field should not be shown at all, imho. That's stuff that should be filtered as the "normal" Wikipedia applet does, too.
Comment 2 Sven Krohlas 2011-05-30 14:48:28 UTC
Ok, it's not that trivial...

WikipediaEnginePrivate::wikiParse( QString &wiki ) doesn't know about the mobile version at all, and the mobile version uses different HTML comments to mark the different parts of the document. So Amarok does not filter the heading of the document at all.
Comment 3 Rick W. Chen 2011-11-03 22:08:03 UTC
Git commit f06c33c5699ea23d06fa9104a8ccf3b797ca62fe by Rick W. Chen.
Committed on 31/10/2011 at 01:52.
Pushed by rickc into branch 'master'.

wiki: fix search field not accepting space characters

Space is the default shortcut key for play/pause. Somehow it is triggered
even when entering in the line edit of the browser. This allows shortcut
keys to be overridden and pass to the widget.

BUG: 266591
FIXED-IN: 2.5

M  +2    -0    ChangeLog
M  +2    -1    src/context/applets/wikipedia/WikipediaApplet_p.h

http://commits.kde.org/amarok/f06c33c5699ea23d06fa9104a8ccf3b797ca62fe